Subject: bug#24802: emacs -Q -nw loads cl-lib

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Oct 2016 21:34:30 +0300

> From: Glenn Morris <[email-masked]>
> Date: Wed, 26 Oct 2016 12:40:16 -0400
> 
> emacs -Q -nw
> (featurep 'cl-lib)  -> t
> 
> I believe this is because term/xterm.el now requires cl-lib at run-time.
> 
> You might want to consider:
> 
> i) Preload cl-lib - see previous discussions in list archives.
> 
> ii) Make term/*.el subject to same rules as files that are explicitly
> listed in loadup.el - ie no requirements beyond those of loadup.

But why is it bad that a specific file loaded only by some sessions
needs to load cl-lib?  Maybe I'm missing something, but I don't see
anything wrong here that needs to be fixed.  E.g., how is it different
from, say, starting to compose email, which then causes message.el to
load half a dozen of additional packages?